groups resource endpoint
URL: /groups/<id>.<format>
Supported Methods
| GET | Get basic information about the selected group. |
Resource Type
This endpoint returns an object of type Group.
- avatarLink (ImageLink)
- A link to an image representing this group.
- displayName (string)
- The display name set by the group's owner.
- id (string)
- A URI that serves as a globally unique identifier for the object.
- objectType (string)
- A keyword describing the type of this object. For a group object, objectType will be Group.
- objectTypes (set<string>)
- (Deprecated) An array of object type identifier URIs.
- siteUrl (string)
- The URL to the front page of the group website.
- tagline (string)
- A tagline describing the group, as set by the group's owner.
- urlId (string)
- A string containing the canonical identifier that can be used to identify this object in URLs. This can be used to recognise where the same user is returned in response to different requests, and as a mapping key for an application's local data store.
Client Library Methods for PHP
- Get basic information about the selected group.
$tp->groups->get(array( # Required Parameters "id" => $id, ))
Property Endpoints
This endpoint has the following property endpoints:
| memberships | Get a list of relationships between users and the selected group. |
| events | Get a list of events describing actions performed in the selected group. |
| photo-assets | Get a list of recently created Photo assets from the selected group. |
| video-assets | Get a list of recently created Video assets from the selected group. |
| audio-assets | Get a list of recently created Audio assets from the selected group. |
| link-assets | Returns a list of recently created Link assets from the selected group. |
| post-assets | Get a list of recently created Post assets from the selected group. |
Action Endpoints
This endpoint has the following action endpoints:
| remove-member | Remove a given user as a member of the selected group. |
| unblock-user | Remove the block preventing the given user from joining the selected group. |
| add-member | Add a given user as a member of the selected group. |
| block-user | Block the given user from joining the selected group, removing that user as a member in the process. |
Example Request
GET /groups/6p012877b14c77970c.json HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 275
{
"urlId": "6p012877b14c77970c",
"objectType": "Group",
"objectTypes": [
"tag:api.typepad.com,2009:Group"
],
"id": "tag:api.typepad.com,2009:6p012877b14c77970c",
"siteUrl": "http://devin.example.com/",
"displayName": "Devin's Awesome Site"
}